/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.catalina;

/**
 * PersistentManager would have been a better name but that would have clashed with the implementation name.
 */
public interface StoreManager extends DistributedManager {

    /**
     * @return the Store object which manages persistent Session storage for this Manager.
     */
    Store getStore();

    /**
     * Remove this Session from the active Sessions for this Manager, but not from the Store. (Used by the
     * PersistentValve)
     *
     * @param session Session to be removed
     */
    void removeSuper(Session session);
}
