/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/* Generated By:JJTree: Do not edit this line. AstFloatingPoint.java */
package org.apache.el.parser;

import java.math.BigDecimal;

import jakarta.el.ELException;

import org.apache.el.lang.EvaluationContext;

/**
 * @author Jacob Hookom [jacob@hookom.net]
 */
public final class AstFloatingPoint extends SimpleNode {

    public AstFloatingPoint(int id) {
        super(id);
    }


    private volatile Number number;


    public Number getFloatingPoint() {
        // The parser should ensure the format of the string to be parsed.
        if (this.number == null) {
            try {
                Double d = Double.valueOf(this.image);
                if (d.isInfinite() || d.isNaN()) {
                    this.number = new BigDecimal(this.image);
                } else {
                    this.number = d;
                }
            } catch (NumberFormatException e) {
                // Catch NumberFormatException here just in case the parser
                // provides invalid input.
                throw new ELException(e);
            }
        }
        return this.number;
    }


    @Override
    public Object getValue(EvaluationContext ctx) throws ELException {
        return this.getFloatingPoint();
    }


    @Override
    public Class<?> getType(EvaluationContext ctx) throws ELException {
        return this.getFloatingPoint().getClass();
    }
}
